<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateMenusTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::defaultStringLength(191);
        Schema::create('menus', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->string('code', 32)->unique()->comment('菜单编码');
            $table->string('name', 32)->comment('菜单名称');
            $table->unsignedBigInteger('parent_id')->default(0);
            $table->unsignedInteger('seq')->default(0)->comment('排序序号');
            $table->softDeletes();
            $table->timestamps();
            // 索引
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('menus');
    }
}
